Bug 235341 - [fix available] Letters overlap in pdf of OOo
[fix available] Letters overlap in pdf of OOo
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 06:03 EDT by Paul Smith
Modified: 2008-05-06 15:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:28:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Small screenshot of the pdf output (2.84 KB, image/png)
2007-04-05 06:03 EDT, Paul Smith
no flags Details
A small odt file exhibiting overlapping letter in the pdf output (8.52 KB, application/vnd.oasis.opendocument.text)
2007-04-05 06:04 EDT, Paul Smith
no flags Details
patch to freetype to fix this (8.02 KB, patch)
2007-04-07 07:20 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 74609 None None None Never

  None (edit)
Description Paul Smith 2007-04-05 06:03:25 EDT
Often, when exporting a Writer document of OpenOffice to pdf (using
the embedded icon), I get some letters overlapping contiguous letters.
A small screen-shot and an odt file are attached.
Comment 1 Paul Smith 2007-04-05 06:03:25 EDT
Created attachment 151747 [details]
Small screenshot of the pdf output
Comment 2 Paul Smith 2007-04-05 06:04:37 EDT
Created attachment 151748 [details]
A small odt file exhibiting overlapping letter in the pdf output
Comment 3 Patrick 2007-04-05 09:14:37 EDT
Just a confirmation. I opened the odt file, exported it as a pdf and checked it
with both Document Viewer and the latest Adobe for Linux on an up to date FC6
box. I saw the reported issue 2x:
1) first paragraph, the "t" & "s" in "the streets of Kiev" are overlapping
2) second paragraph, the "i" & "t" in "MPs to submit" are overlapping
Comment 4 Caolan McNamara 2007-04-05 10:56:57 EDT
Can I get the rpm -q output of openoffice.org-core please so that I'm sure I'm
looking at the same versions. I seem to see a small overlap in the b&m of submit
on FC-6, but not the other one reported ones. 

There might be a scaling issue behind why I don't get the same results.
Comment 5 Paul Smith 2007-04-05 11:15:37 EDT
Here, it is:

$ rpm -q openoffice.org-core
openoffice.org-core-2.0.4-5.5.17
$ 
Comment 6 Robin 2007-04-05 11:36:48 EDT
OpenOffice has just released version 2.2.  This could be fixed already.  Many
major improvements and much faster in saves/opens and macro operation.
Comment 7 Caolan McNamara 2007-04-06 05:56:27 EDT
nah, I believe this is http://www.openoffice.org/issues/show_bug.cgi?id=74609
which is not fixed in 2.2.0 either, I'll backport that workspace to FC-6 and
devel. I think I've seen this before, it's where freetype and OOo disagree on
the glyph advancement values for glyphs.

Will be in the next FC-6 update, i.e. >= 2.0.4-5.5.19
Comment 8 Caolan McNamara 2007-04-07 07:19:18 EDT
Nah, that doesn't fix it. What fixes it is the next attachment. This is a
problem in freetype in FC-6 which wasn't in FC-5 or in FC-7. Same as bug 224539
Comment 9 Caolan McNamara 2007-04-07 07:20:00 EDT
Created attachment 151911 [details]
patch to freetype to fix this
Comment 10 Sammy 2007-04-07 17:52:10 EDT
When I recompile freetype with the above patch it is crashing ooimpress
and anything that uses freetype in FC6!

Any reason?
Thanks
Comment 11 Sammy 2007-04-08 11:44:13 EDT
OK. I have built the latest freetype-2.3.3 which is working in general.
HOWEVER, the exact same problem exists when I convert the example odt
file.

Is the above patch from the freetype cvs tree, If it is so then it does
not solve the problem.

By the way, we cannot access the bug 224539!
Thanks
Comment 12 Sammy 2007-04-08 11:52:12 EDT
If one converts the document to another font like Arial the problem
does not exist (it is in NewTimesRoman originally)!
Comment 13 Bug Zapper 2008-04-04 02:46:55 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Paul Smith 2008-04-25 14:51:53 EDT
The problem occurred only with Times New Roman. I do not have that font anymore
on my computer (have removed msttcorefonts), and therefore I cannot test whether
the bug is really fixed.

Paul
Comment 15 Rodd Clarkson 2008-05-03 20:56:08 EDT
Having read through this and done some (limited) testing I would suggest that we
could close this bug.

The original reporter can't reproduce it due to changes in his system

In f9-preview, the page in questions renders fine (using TimeNewRoman).

The original report was in regard to F6, which is no longer supported and f7
will soon be dropped (if it was even a problem there), so assuming it's not an
issue in f8 then it's not likely to cause problems.
Comment 16 Bug Zapper 2008-05-06 15:28:12 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.